# Uses of Interface
org.eclipse.debug.ui.actions.IToggleBreakpointsTarget

Packages that use IToggleBreakpointsTarget
Package
Description
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.

## Uses of IToggleBreakpointsTarget in org.eclipse.debug.ui.actions

Subinterfaces of IToggleBreakpointsTarget in org.eclipse.debug.ui.actions
Modifier and Type
Interface
Description
`interface`
`IToggleBreakpointsTargetExtension`
Extension interface for `IToggleBreakpointsTarget`.
`interface`
`IToggleBreakpointsTargetExtension2`
Extension interface for `IToggleBreakpointsTargetExtension`.
Methods in org.eclipse.debug.ui.actions that return IToggleBreakpointsTarget
Modifier and Type
Method
Description
`IToggleBreakpointsTarget`
IToggleBreakpointsTargetFactory.`createToggleTarget(String targetID)`
Creates and returns a toggle breakpoint target corresponding to the given identifier that this factory can produce (according to `IToggleBreakpointsTargetFactory.getToggleTargets(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`).
`IToggleBreakpointsTarget`
IToggleBreakpointsTargetManager.`getToggleBreakpointsTarget(IWorkbenchPart part, ISelection selection)`
Given the ID of toggle breakpoint target, this method will try to find the factory that creates it and return an instance of it.
Methods in org.eclipse.debug.ui.actions with parameters of type IToggleBreakpointsTarget
Modifier and Type
Method
Description
`protected void`
ToggleMethodBreakpointActionDelegate.`performAction(IToggleBreakpointsTarget target, IWorkbenchPart part, ISelection selection)`
`protected void`
ToggleWatchpointActionDelegate.`performAction(IToggleBreakpointsTarget target, IWorkbenchPart part, ISelection selection)`